| Home | Libraries | People | FAQ | More

## Function template float_sort

boost::sort::spreadsort::float_sort — Floating-point sort algorithm using range with just right-shift functor.

## Synopsis

    // In header: <boost/sort/spreadsort/float_sort.hpp>

    template<typename Range, typename Right_shift>
      void float_sort(Range & range, Right_shift rshift);

## Description

Parameters:

`range` | Range [first, last) for sorting.
`rshift` | Functor that returns the result of shifting the value_type right a specified number of bits.